=== debian/changelog ===
talloc (2.3.3-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports (no changes).

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 04 May 2022 18:43:51 +0300

talloc (2.3.3-3) unstable; urgency=medium

  * d/rules include buildflags.mk instead of open-coding CFLAGS etc definitions
  * d/rules: remove _PUBLIC_ markers from public header file
    fixing samba-4.16 ftbfs
  * d/rules: clean up bin/ not build/
  * d/control: add myself to Uploaders

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 26 Mar 2022 19:11:12 +0300

talloc (2.3.3-2) unstable; urgency=medium

  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * CI: Allow failures for te bhlc job
  * Add 0001-Add-support-for-GNU-kFreeBSD.patch (Closes: #990878)

 -- Mathieu Parent <sathieu@debian.org>  Tue, 14 Dec 2021 20:39:55 +0100

talloc (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3
    - Update symbols
  * Fix lintian override
  * Standards-Version: 4.6.0, no change

 -- Mathieu Parent <sathieu@debian.org>  Tue, 09 Nov 2021 22:06:44 +0100
