## talloc 2.3.4

=== debian/changelog ===
talloc (2.3.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports (no changes).

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 03 Nov 2022 08:07:47 +0300

talloc (2.3.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 3.
  * Update standards version to 4.6.1, no changes needed.

  [ Michael Tokarev ]
  * d/rules: inline parallel check from dpkg/buildopts.mk
  * d/rules: make it to be consistent with other samba packages

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Oct 2022 11:48:34 +0300

talloc (2.3.4-1) unstable; urgency=medium

  * new upstream release (2.3.4)
  * removed 0001-Add-support-for-GNU-kFreeBSD.patch (included upstream now)
  * d/libtalloc2.symbols: add new version

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 05 Sep 2022 12:52:40 +0300

talloc (2.3.3-4) unstable; urgency=medium

  * python3-talloc-dev: move pytalloc.h from python-version-specific dir back
    to /usr/include where upstream installs it
  * remove _PUBLIC_ marking from pytalloc.h header too, not only talloc.h
  * remove whole _PUBLIC_ define from the common installed header
    (do not pollute the namespace and do not clash with other usages)
  * generate header of python3-talloc.symbols file directly from d/rules file
    (it is highly python-dependent, this way it is more visible in one place)
  * d/control: remove build-dependency on dh-exec (used only for .symbols file)
  * set SHELL = sh -e for proper error checking
  * switch from --with python to dh-sequence-python3
  * many other cleanups/tweaks in the d/rules file
  * d/rules: explicitly list targets which go to debhelper
  * d/python3-talloc.lintian-overrides: fix to cover all arches not jut x64
  * d/source/lintian.overrides: add override for buildtools/examples/

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 04 May 2022 18:28:58 +0300
