=== debian/control ===
--- 
+++ 
@@ -7,15 +7,14 @@
            Michael Tokarev <mjt@tls.msk.ru>
 Homepage: https://talloc.samba.org/
 Build-Depends: debhelper-compat (= 13),
-               dh-exec,
-               dh-python,
+               dh-sequence-python3,
                docbook-xml,
                docbook-xsl,
                libpopt-dev,
                python3-dev,
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/samba-team/talloc
 Vcs-Git: https://salsa.debian.org/samba-team/talloc.git
