## talloc 2.4.0

=== debian/changelog ===
talloc (2.4.0-f2A~5.0.0.202304171133) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    01_build-depends
    02_python37

 -- Univention builddaemon <buildd@univention.de>  Mon, 17 Apr 2023 11:33:57 +0200

talloc (2.4.0-f2) unstable; urgency=medium

  * d/rules: build for all installed py3versions
    instead of default/supported
  * d/control: remove unused ${python3:Provides}
  * d/control: Standards-Version: 4.6.2 (no changes)
  * d/control: put all doc-generating build-deps into one line
  * little prep for cross-compilation
  * d/control: work around autodep8 #904999 again

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 04 Feb 2023 17:10:46 +0300

talloc (2.4.0-f1) unstable; urgency=medium

  * new upstream release (2.4.0, samba 4.18):
   - Add talloc_asprintf_addbuf()
   - Support python 3.12
  * d/libtalloc2.symbols: add new symbol and new versions
  * d/python3-talloc.symbols.in: add new versions

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 21 Jan 2023 10:38:53 +0300

talloc (2.3.4-3) unstable; urgency=medium

  * Allow building for multiple python3 versions (disabled for now)
  * d/rules: support "terse" build option for non-verbose build
  * lintian-overrides: update some messages to match old&new lintian
  * d/tests: remove. The autopkgtest just run the build-time testsuite,
    which is already done at build time (dh_auto_test).
  * d/salsa-ci.yml:
   - instead of allowing blhc to (always) fail, disable it
   - disable crossbuild-arm64 test (samba does not cross-build)
  * d/rules: little cleanups

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 20 Jan 2023 17:40:38 +0300
