=== debian/control ===
--- 
+++ 
@@ -6,15 +6,14 @@
            Mathieu Parent <sathieu@debian.org>,
            Michael Tokarev <mjt@tls.msk.ru>
 Homepage: https://talloc.samba.org/
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                dh-sequence-python3,
-               docbook-xml,
-               docbook-xsl,
+               docbook-xml, docbook-xsl, xsltproc,
                libpopt-dev,
-               python3-dev,
-               xsltproc
+# use {python3,libpython3}-ALL-dev to build for all python3 versions (+#904999):
+               python3-dev:any | python3-dev, libpython3-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/samba-team/talloc
 Vcs-Git: https://salsa.debian.org/samba-team/talloc.git
 
@@ -48,7 +47,6 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Provides: ${python3:Provides}
 Description: hierarchical pool based memory allocator - Python3 bindings
  A hierarchical pool based memory allocator with destructors. It uses
  reference counting to determine when memory should be freed.
