## talloc 2.4.1

=== debian/changelog ===
talloc (2.4.1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports (no changes).

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 06 Oct 2023 17:45:01 +0300

talloc (2.4.1-2) unstable; urgency=medium

  * d/rules: wrap _PYTHON_SYSCONFIGDATA_NAME setting to cross-compile case
    On e.g. buster, _PYTHON_SYSCONFIGDATA_NAME is different, so this assignment
    does not work right.  In order for it to work on buster, add condition on
    host vs build gnu type. This breaks compilation with foreign python binary.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 04 Aug 2023 14:15:17 +0300

talloc (2.4.1-1) unstable; urgency=medium

  * new upstream release.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Jul 2023 22:39:02 +0300
