## talloc 2.4.2

=== debian/changelog ===
talloc (2.4.2-2) unstable; urgency=medium

  * d/control: Build-Depend on python3-setuptools (Closes: #1080815)
  * d/control: drop before-buster Breaks
  * d/control: drop pkg-config dependency for libtalloc-dev
    the dev package does not depend on pkg-config itself, it is the users
    who choose to use it through pkg-config
  * stop providing python3-talloc-dev package, swallow it by python3-talloc
    the development files (pytalloc.h, pytalloc-util.cpython.so and .pc)
    are not worth to provide its own package for.
  * stop providing symbols for internal pytalloc_util library
    This library is internal, which also depends on python arch
    and version.  The set of symbols in this library is stable.
    Stop jumping through hoops trying to provide accurate symbols
    file, treat it like a simplest shared library

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 25 Nov 2024 11:29:13 +0300

talloc (2.4.2-1) unstable; urgency=medium

  * new upstream (minor) release

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 29 Jan 2024 20:14:03 +0300
