=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
            Mathieu Parent <sathieu@debian.org>,
            Michael Tokarev <mjt@tls.msk.ru>
 Homepage: https://talloc.samba.org/
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               python3-setuptools,
                docbook-xml, docbook-xsl, xsltproc,
                libpopt-dev,
 # use {python3,libpython3}-ALL-dev to build for all python3 versions (+#904999):
@@ -22,7 +23,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: python3-talloc (<< 2.1.13-2~)
 Section: libs
 Description: hierarchical pool based memory allocator
  A hierarchical pool based memory allocator with destructors. It uses
@@ -30,7 +30,7 @@
 
 Package: libtalloc-dev
 Section: libdevel
-Depends: libtalloc2 (=${binary:Version}), pkg-config, ${misc:Depends}
+Depends: libtalloc2 (=${binary:Version}), ${misc:Depends}
 Architecture: any
 Multi-Arch: same
 Description: hierarchical pool based memory allocator - development files
@@ -47,19 +47,12 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+# Swallow python3-talloc-dev package in 2.4.2-2
+Provides: python3-talloc-dev (= ${binary:Version})
+Replaces: python3-talloc-dev (<<2.4.2-2~)
+Breaks:   python3-talloc-dev (<<2.4.2-2~)
 Description: hierarchical pool based memory allocator - Python3 bindings
  A hierarchical pool based memory allocator with destructors. It uses
  reference counting to determine when memory should be freed.
  .
  This package contains the Python 3 bindings.
-
-Package: python3-talloc-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: pkg-config, python3-talloc (= ${binary:Version}), ${misc:Depends}
-Description: talloc Python 3 bindings - development files
- A hierarchical pool based memory allocator with destructors. It uses
- reference counting to determine when memory should be freed.
- .
- This package contains the development files for the Python 3 bindings.
