=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,10 @@
 	$(patsubst parallel=%,-j%,$(filter parallel=%,${DEB_BUILD_OPTIONS}))
 
 ifeq (linux,${DEB_HOST_ARCH_OS})
+ifneq (${DEB_HOST_GNU_TYPE},${DEB_BUILD_GNU_TYPE})
 # for cross-build or build with foreign python binary (it is _gnu0_i386-gnu on hurd)
-export _PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata_m_${DEB_HOST_ARCH_OS}_${DEB_HOST_MULTIARCH}
+export _PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata__${DEB_HOST_ARCH_OS}_${DEB_HOST_MULTIARCH}
+endif
 endif
 
 # All supported installed python versions we build for
@@ -83,18 +85,6 @@
 	# ..and remove the #define itself
 	patch --batch ${DESTDIR}/usr/include/talloc.h debian/header-remove-_PUBLIC_-define.patch
 
-override_dh_makeshlibs:
-	dh_makeshlibs -plibtalloc2 -- -c4
-	for pv in ${PY3VERSIONS}; do \
-	    suff=$$(${DEB_HOST_MULTIARCH}-$$pv-config --extension-suffix | tr _ -); \
-	    SUFF=$$(echo "$${suff%.so}" | tr a-z- A-Z_)_${DEB_VERSION_UPSTREAM}; \
-	    echo "libpytalloc-util$${suff}.2 python3-talloc #MINVER#"; \
-	    echo " PYTALLOC_UTIL$${SUFF}@PYTALLOC_UTIL$${SUFF} ${DEB_VERSION_UPSTREAM}"; \
-	    cat debian/python3-talloc.symbols.in; \
-	done > debian/python3-talloc.symbols
-	dh_makeshlibs -ppython3-talloc -X/talloc.cpython -- -c3
-	rm debian/python3-talloc.symbols
-
 clean:
 	dh_clean bld/
